% Calculating the CAPEX

% CAPEX: The total price of the new-build, as well as loans, interests and 
% other financial costs related to the construction of the vessel.

function CAPEX_calculation = CAPEX(i,j,Ship_design)

% Reading from excel file:
Design_1 = xlsread('Annuity_loan.xls','Annuity loan (Design 1)');
Design_2 = xlsread('Annuity_loan.xls','Annuity loan (Design 2)');
Design_3 = xlsread('Annuity_loan.xls','Annuity loan (Design 3)');

% Collecting the annual loan payment:
Loan_payment_ship_1 = Design_1(45:74,2);
Loan_payment_ship_2 = Design_2(44:73,2);
Loan_payment_ship_3 = Design_3(44:73,2);

    if Ship_design == 1
        
        CAPEX_calculation = Loan_payment_ship_1(j+((i-1)*5));
        
    elseif Ship_design == 2
        
        CAPEX_calculation = Loan_payment_ship_2(j+((i-1)*5));
        
    elseif Ship_design == 3
        
        CAPEX_calculation = Loan_payment_ship_3(j+((i-1)*5));
    end
    
end

