% Calculating the Net Present Value (NPV). 

function Calculate_NPV = NPV(CF,d_r,t)

%Prealocating a vector for the discounted cash flows
DCF = zeros(1,t);

for i = 1:t
    DCF(i) = CF(i)*(1+d_r)^(-i);
end

Calculate_NPV = sum(DCF);

end